# This file contains information of customerized IOT list.

#
## Example:
#

# Interop Config Section
# [MtkXXX]

# Blacklisting by vendor prefix address:
# AddressBlacklist=12:34:56,22:22:22

# Blacklisting by Exact Name:
# ExactNameBlacklist=This is an example,MT-1234,T1

# Blacklisting by Partial Name (if name starts with)
# PartialNameBlacklist=Test,MT


###########################################
#            HOGP/GATT/BLE
###########################################

[MtkBleConnIntMinLimitAccept]
# Some device like will behave abnormally if their required interval
# which is less than BTM_BLE_CONN_INT_MIN_LIMIT is rejected.
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=Arc Touch BT Mouse,ELECOM Laser Mouse

[MtkBleConnLatencyAdjust]
# Some devices request a large slave latency which will slow down
# the data transmission or break the link during profile establishment
# {0x00, 0x1b, 0xdc} /*BSM mouse*/
AddressBlacklist=00:1b:dc

ExactNameBlacklist=BSMBB09DS

[MtkBleConnTimeoutBlacklist]
# Some device request a minor link supervision timeout which can cause
# the link timeout frequently. So adjust their link supervision timeout to default value
# {0xff, 0x40, 0x3a} /*CASIO watch*/
# {0xda, 0x58, 0x98}
# {0xc2, 0x80, 0x29}
# {0xff, 0x74, 0xe1}
# {0xd9, 0xe6, 0xea}
AddressBlacklist=ff:40:3a,da:58:98,c2:80:29,ff:74:e1,d9:e6:ea

ExactNameBlacklist=CASIO GB-6900A*,UP2

[MtkBleDisablefastConn]
# Some device cannot handle fast connection procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

[MtkBleDisablePrefConnParams]
# Some device cann't handle the peripheral pereferred connection parameters
# update procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

PartialNameBlacklist=FeiZhi

[MtkSecureConnectionsBlacklist]
# Disbale SC mode when perform LE paring
# {0x7c, 0x66, 0x9d} /*Huitong BLE Remote*/
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
# {0x04, 0xe6, 0x76} /*XiaoYi_RC*/
AddressBlacklist=7c:66:9d,d0:5f:b8,04:e6:76

ExactNameBlacklist=Huitong BLE Remote,ELECOM Laser Mouse

PartialNameBlacklist=honor zero-,小米蓝牙遥控器,XiaoYi_RC

###########################################
#                HFP
###########################################

[MtkHfpDelayOpenScoBlicklist]
# Some device has some special request for
# opening the sco time, so work around for this device (Nexus has the same problem with this device).
# {0x00, 0x1E, 0xDC}   /* DS205 */
# {0x00, 0x58, 0x50}   /* BELKIN */
# {0xFC, 0x58, 0xFA}   /*MEIZU speaker*/
# {0xD0, 0x8A, 0x55}   /* XTFree */
# {0x00, 0x13, 0x04}   /* BTHFD */
# {0xA0, 0x10, 0x81}   /* Gear IconX R (783B) */
# {0x24, 0xA8, 0x7D}   /*CAR AUDIO*/swift dzire
# {0x61, 0x63, 0x83}   /*baojun730*/
# {0x38, 0xc0, 0x96}   /*benz R320*/
# {0xA4, 0xD5, 0x78}   /*Mazda CX4*/
# {0xfc, 0xdb, 0xb3}   /*Toyota Altis*/
# {0x30, 0x23, 0x8a}   /*G067*/
AddressBlacklist=00:1E:DC,00:58:50,fc:58:fa,D0:8A:55,00:13:04,A0:10:81,24:A8:7D,61:63:83,38:c0:96,A4:D5:78,fc:db:b3,30:23:8a

[MtkHfpDelaySocInAct]
# {0xB0, 0x72, 0xBF}   /*KIA MOTORS*/
# {0xD8, 0xC4, 0x6A}   /*KIA MOTORS*/
AddressBlacklist=b0:72:bf,d8:c4:6a

[MtkHfp17To16]
# Some device has IOT issue for HFP 1.7 version.
# Back to 1.6 for this devices.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x04, 0xf8, 0xc2}   /* VW Radio */
# {0x00, 0x13, 0x04}   /* JAC */
AddressBlacklist=00:17:53,04:f8:c2,00:13:04

[MtkHfpForceToUseSco]
# Some device has issue when setup eSCO, so force to use SCO instead.
# {0x00, 0x58, 0x76},    /* BT800 */
# {0xA0, 0xE9, 0xDB},    /* ODYS-XOUND cube */
# {0x00, 0x58, 0x50},    /* SeeCom */
# {0x00, 0x58, 0x56},    /* RAVIS */
# {0x00, 0x58, 0x75},    /* Mifa F1 */
# {0x59, 0x90, 0xa1},    /* TRACTOR-7462 */
# {0x00, 0x58, 0x50},    /* AMETHYST MD3 */
# {0xD0, 0x8A, 0x55},    /* Skull Candy XTFree */
# {0x00, 0x0D, 0x18},    /* CARDVD-BT */
# {0x00, 0x0D, 0x18},    /* CarKit10BF */
# {0x00, 0x0D, 0x18},    /* NXO-3 */

AddressBlacklist=00:58:76,A0:E9:DB,00:58:50,00:58:56,00:58:75,59:90:a1,00:58:50,D0:8A:55,00:0D:18
ExactNameBlacklist=BT800,CARDVD-BT,CarKit10BF,SeeCom,RAVIS,Mifa F1,ODYS-XOUND cube,TRACTOR-7462,NX0-3,AMETHYSG MD3,BC8-Android

[MtkHfpForceToUseCVSD]
# Some device will no voice when using mSBC codec, so force to use CVSD.
# /*Parrot ASTEROID Smart*/
# /*Jabra Classic v0.5.3*/
# {0x1c, 0x48, 0xf9}    /*Jabra clear 2 Jabra CLASSIC*/
AddressBlacklist=1c:48:f9
ExactNameBlacklist=Parrot ASTEROID Smart,Jabra Classic v0.5.3

[MtkHfpDelayScoAfterActive]
# {0x00, 0x13, 0x7b},    /* HMC */
# {0x24, 0xA8, 0x7D}   /*CAR AUDIO*/swift dzire
AddressBlacklist=00:13:7b,24:a8:7d

[MtkHfpUpdateSecondCallState]
# {0xfc, 0x58, 0xfa}   /* Meidong */
# {0x00, 0x0d, 0x18}   /* DVD (feige)*/
AddressBlacklist=fc:58:fa,00:0d:18

[MtkHfpNoUseCind]
# {0x61, 0x63, 0x83}   /*baojun730*/
# {0x38, 0xc0, 0x96}   /*benz R320*/
# {0x00, 0x58, 0x76}
AddressBlacklist=61:63:83,38:c0:96,00:58:76

###########################################
#                HID
###########################################

[MtkHIDDisableSDPBlacklist]
# Some HID devices have issue if SDP is initiated while HID connection is in progress
# {0x04, 0x0C, 0xCE},  /* Apple Magic Mouse */
# {0x00, 0x07, 0x61},  /* Bluetooth Laser Travel Mouse */
# {0x00, 0x1d, 0xd8},  /* Microsoft Bluetooth Notebook Mouse 5000 */
# {0x00, 0x1f, 0x20},  /* Logitech MX Revolution Mouse */
# {0x6c, 0x5d, 0x63},  /* Rapoo 6080 mouse */
# {0x28, 0x18, 0x78}   /* Microsoft Sculpt Touch Mouse */
# {0x30, 0x59, 0xb7}   /* Microsoft Sculpt Comfort Mouse */
# {0x34, 0x88, 0x5d},  /* Bluetooth mouse M557*/
AddressBlacklist=04:0c:ce,00:07:61,00:1d:d8,00:1f:20,6c:5d:63,28:18:78,30:59:b7,34:88:5d

[MtkSniffSubratingBlacklist]
# {0x54, 0x46, 0x6b},  /* JW MT002 Bluetooth Mouse */ /*LMP version&subversion  - 5, 8721 & LMP Manufacturer - 15*/
# {0x6c, 0x5d, 0x63}, /* Rapoo 6610 Bluetooth Mouse */
# {0x60, 0x8c, 0x2b},  /* FelTouch Magic */
AddressBlacklist=54:46:6b,6c:5d:63,60:8c:2b

###########################################
#              A2DP/AVRCP
###########################################

[MtkA2DPDelayStartCMDBlicklist]
# Some special device want perform START cmd itself first
# If it not send START cmd, will close current link.
# So for this special device, we need delay send A2DP START cmd
# which from DUT to receive the special device cmd.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x00, 0x13, 0x04}   /* CASKA */
# {0x0c, 0xa6, 0x94}   /* Philips Fidelio M2BT */
# {0x33, 0x60, 0x7c}   /* DVD */
# {0x00, 0x0d, 0x3c}   /* Clip Music 801 */
# {0x00, 0x0a, 0x08}   /* CDE-153Series */
# {0x00, 0x0d, 0x18}   /* RDA HBS device*/ - HBS8864
# {0x00, 0x07, 0x04}   /* Tiguan RNS carkit*/ - Tiguan RNS315 Bluetooth
# {0xbc, 0x6e, 0x64}   /* SBH54 */
# {0x00, 0x18, 0x09}   /* MDR-XB80BS */
#AddressBlacklist=00:17:53,00:13:04,0c:a6:94,33:60:7c,00:0d:3c,00:0a:08,bc:6e:64,00:18:09
#add test device address 00:00:00
AddressBlacklist=00:17:53,00:13:04,0c:a6:94,33:60:7c,00:0d:3c,00:0a:08,bc:6e:64,00:18:09,00:00:00

#ExactNameBlacklist=HBS8864,Tiguan RNS315 Bluetooth
#add test device name Baseus  B15
ExactNameBlacklist=HBS8864,Tiguan RNS315 Bluetooth,Baseus  B15

[MtkSongPositionBlacklist]
# Blacklisting by vendor prefix address:
# {0x00, 0x0e, 0x9f},  /* Toyota Touch&Go */
AddressBlacklist=00:0e:9f

ExactNameBlacklist=Toyota Touch&Go

[MtkA2dpChangeAcceptSignalTms]
# Some device will delay send A2DP signaling. It will occur A2DP connection conflict.
# Change accept signaling time out value for above devices.
# {0x00, 0x21, 0x3c},   /* Jawbone ICON*/
AddressBlacklist=00:21:3c

[MtkDisableAbsVolm]
# Enhance INTEROP_DISABLE_ABSOLUTE_VOLUME item for mtk blacklist solution
# {0x00, 0x08, 0x7A},   /* Pioneer APS-BH80 */
# {0x00, 0x08, 0x3e},   /* aigo X6 */
# {0x00, 0x00, 0x1a},   /* Gionee */
# {0xad, 0xcd, 0xee},   /* PISEN-LE005 */
AddressBlacklist=00:08:7a,00:08:3e,00:00:1a,ad:cd:ee

[MtkUpdatePlayStatusToUnactiveDevice]
# {0xA0, 0xE6, 0xF8},   /*Fitbit Blaze*/
AddressBlacklist=a0:e6:f8

[MtkSinkSdpFailNotDiscAvrcp]
# Some device support avrcp but not support a2dp.
# In this case, we do not close avrcp after audio sink sdp failed
# {0xA0, 0xE6, 0xF8},   /*Fitbit Blaze*/
AddressBlacklist=a0:e6:f8

[MtkUseAvrcp13]
# Some device not support avrcp1.5, we need use avrcp1.3 to response
# {0x48, 0xf0, 0x7b},  /* MB Bluetooth 41519 */
AddressBlacklist=48:f0:7b

[MtkUseAvrcp14]
# {0x50, 0x33, 0x8b},  /* Car Display Audio */
AddressBlacklist=50:33:8b

[MtkSkipRemoteSuspendFlag]
# Some device not send START cmd after send SUSPEND cmd by remote device.
# So in this case, music will not auto started. In order to skip this issue, add
# blacklist to remove flag BTIF_AV_FLAG_REMOTE_SUSPEND for trigger START by
# DUT
# {0xd4, 0xca, 0x6e},   /* Audi MMI 6610 */
# {0x48, 0xa9, 0xd2},   /* Audi MMI 2768 */
AddressBlacklist=d4:ca:6e,48:a9:d2
PartialNameBlacklist=Audi,Porsche,BMW,MB Bluetooth

[MtkAdvancedA2DPConnect]
# Some BT devices are less compatible in the market, for example,
# some devices like connect A2DP ASAP, but others are opposite.
# Add this blacklist to adapter this case.
# {0x00, 0x0d, 0x18}, /* Alpine */
# {0x40, 0xef, 0x4c}, /* UFO */
AddressBlacklist=00:0d:18,40:ef:4c

[MtkA2dp2mOnly]
# Some devices only use 2M for a2dp can work normally.
# {0x1c, 0xe1, 0x92},    /* GAC BT */
AddressBlacklist=1c:e1:92

[MtkAcceptL2cWhenConnection]
# {0x30, 0xc3, 0xd9},    /* no */
AddressBlacklist=30:c3:d9

[MtkStartAvrcpSdpIotDevice]
# After AVDTP open, some device need avrcp update playStatus quickly.
# {0x00, 0x0a, 0x08},    /* CDE-153Series */
AddressBlacklist=00:0a:08

###########################################
#              RFCOMM
###########################################

[MtkForbidCombineRfcData]
# Some devices can not parse multi AT commands in one rfcomm packet.
# So, send data separately.
# {0x00, 0x0A, 0x08},   /*BMW94506*/  Remote device can not parse multi at commands.
# {0xfc, 0xdb, 0xb3},   /*Toyota Altis*/
AddressBlacklist=00:0a:08,fc:db:b3


###########################################
#               L2CAP
###########################################

[MtkAcceptConnAsMaster]
# Some devices cannot work normally as master if the connection is initiated by themselves
# {0x6c, 0x5d, 0x63},  /* Rapoo 6610 mouse */
# {0x00, 0x02, 0xc7},  /* HANDS FREE carkit of Infineon Technologies AG */
# {0x00, 0x58, 0x75},  /* Mifa_F1 */
# {0x1c, 0x52, 0x16},  /* XM earphone */
# {0x11, 0x3b, 0xf6},  /* MY-S5 */
# {0x00, 0x58, 0x76},  /* BT800,this device does not send detach when power off */
AddressBlacklist=6c:5d:63,00:02:c7,00:58:75,1c:52:16,11:3b:f6,00:58:76


[MtkAcceptConnAsSlave]
# Some devices cannot work normally as slave if the connection is initiated by themselves.
# {0x00, 0x1e, 0xae},  /* SYNC, FORD carkit */
# {0x00, 0x26, 0xb4},  /* NAC ford, 2013 Lincoln */
# {0x00, 0x26, 0xe8},  /* Nissan Murano */
# {0x00, 0x37, 0x6d},  /* Lexus ES300h */
# {0x9c, 0x3a, 0xaf},  /* SAMSUNG HM1900 */
# {0x88, 0x30, 0x8a} /* CAR MULTIMEDIA */
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */
# {0x00, 0x18, 0xdc} /* Buffalo VH-1804 */
# {0x00, 0x0d, 0xfd} /* Motorola S10-HD */
# {0x9c, 0xdf, 0x03} /* BMW 71888 */
AddressBlacklist=00:1e:ae,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,88:30:8a,f0:65:dd,00:18:dc,00:0d:fd,9c:df:03

# D8 perfers to act as master after D8 establishing connection
ExactNameBlacklist=D8,Bose AE2w 01.02.00

[MtkNotRestartAcl]
# Not restart ACL link when link down
# {0x00, 0x06, 0xf7},  /* MB Bluetooth, carkit */
AddressBlacklist=00:06:f7

###########################################
#               GAP
###########################################

[MtkDisableAutoPairing]
# Disable automatic pairing with remote device
# {0x00,0x0e,0x9f},/*TEMIC SDS (Porsche,Audi exp(PCM))*/
AddressBlacklist=00:0e:9f

[MtkRoleSwitchBlacklist]
# Some devices may perform abnormally after role switch, do not role siwtch for them
# {0x02,0x2b,0x85},/*ix35 CAR KIT*/
# {0x9c,0xdf,0x03},/*BMW 71888*/
# {0x88,0x30,0x8a},/*CAR MULTIMEDIA*/
# {0x00,0x37,0x6d},/*CAR MULTIMEDIA*/
# {0x00,0x0d,0xfd},/*Motorola S9,S10-HD*/
# {0x00,0x18,0xdc},/*VH-1804*/
# {0x00,0x26,0Xb4},/*NAC FORD,2013 Lincoln*/
# {0x00,0x26,0xe8},/*Nissan Murano*/
# {0x00,0x37,0x6d},/*Lexus ES300h*/
# {0x9c,0x3a,0xaf},/*SAMSUNG HM1900*/
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */
AddressBlacklist=02:2b:85,9c:df:03,88:30:8a,00:37:6d,00:0d:fd,00:18:dc,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,f0:65:dd

ExactNameBlacklist=CAR KIT,BMW 71888,CAR MULTIMEDIA,Motorola S9,Motorola S10-HD,VH-1804,NAC FORD,2013 Lincoln,Nissan Murano,Lexus ES300h,SAMSUNG HM1900,Nokia BH-121,Bose AE2w 01.02.00,NX403CBR

[MtkDisableServiceSecurityCheck]
# Disable service security check when remote device reconnect to DUT
# {0x50, 0xc9, 0x71},  /* Jabra STONE2 */
# {0x00, 0x23, 0x78},  /* Jabra STONE2 */
# {0x30, 0x53, 0x00},  /* BT CALL */
AddressBlacklist=50:c9:71,00:23:78,30:53:00

[MtkForcedSSP]
# Use SSP forcibly for IOT device
# {0x34, 0x88, 0x5d},  /*Bluetooth Mouse M557*/
# {0x00, 0x1f, 0x20},  /*Bluetooth Mouse M557*/
AddressBlacklist=34:88:5d,00:1f:20

ExactNameBlacklist=Bluetooth Mouse M557

[MtkGetUuidsFromStorage]
# get services from storage for some devices
# {0x0c, 0xfc, 0x83},  /* ADYSS-A6 */
AddressBlacklist=0c:fc:83

[VivoAutoPlayNoReject]
# Some carkit auto play ,if we reject it,it show normal such as no browsing or not provide song info, forbid it
# {0x00, 0x0A, 0x08},  /* BWM x3 */
# {0x28, 0xA1, 0x83},  /* MB Bluetooth,Q5 */
AddressBlacklist=00:0A:08,28:A1:83

[VivoEnableAbsoluteVolume]
#Devices requiring this workaround do handle Bluetooth Absolute Volume
# B171103-919 WONSTART W302 :: A8:A8:06:17:CA:D9
ExactNameBlacklist=W302

#Some carkit auto play data scattered, forbid it
# 41#B180419-619 :: 50:33:8b:e2:03:f5
# B180811-131    :: 00:15:83:b5:3a:38
[VivoForbidAutoPlay]
AddressBlacklist=50:33:8B:E2,00:15:83:B5

# Enable AAC only for whitelist of devices
[VivoEnableAACCodec]
ExactNameBlacklist=LG HBSA100,LG HBS1100,MDR-XB80BS,AirPods,Pixel Buds 7943,SRS-X33,WHh.ear (MDR-100ABN),WI-1000X,WH-H800 (h.ear),MDR-1000X,WI-H700 (h.ear),WH-H900N (h.ear),MDR-1ABT,h.MDR-ZX770BN,Bose QuietComfort 35,AVH-X5890BT,AVH-A208BT,AVH-X5790BT,Car Multimedia,DDX6,Parrot ASTEROID,PLT_BBTPRO,Tracks Air,66 Audio BTS,XB10,SRS-XB3,MB Bluetooth 84389,HATS_00025B0085E9,BeatsX,MINIJAMBOX by Jawbone,Bose SoundSport,Bose QC35 II,Beats Solo³,BeatsStudio Wireless,XAV-AX100,LG HBS730,BMW
AddressBlacklist=B8:AD:3E,00:18:09,7C:04:D0,24:F6:77,48:D6:D5,8C:DE:52,04:5D:4B,10:4F:A8,AC:9B:0A,04:52:C7,94:B2:CC,74:5E:1C,00:1D:86,90:03:B7,0C:E0:E4,A4:15:66,00:1A:7D,88:E6:03,B8:69:C2,30:C3:D9,00:02:5B,A8:BE:27,E0:D1:E6,2C:41:A1,DC:A4:CA,58:E2:8F,FC:4B:BC,00:18:6b,00:0A:08,60:F4:45,D4:61:9D,A8:5C:2C,50:32:37,D4:90:9C,4C:32:75,08:E6:89,10:94:BB,18:F1:D8,BC:E1:43

# judge AirPods device
[VivoAirpods]
ExactNameBlacklist=AirPods
AddressBlacklist=60:F4:45,D4:61:9D,A8:5C:2C,50:32:37,D4:90:9C,4C:32:75,7C:04:D0,08:E6:89,10:94:BB,18:F1:D8,BC:E1:43,24:F6:77,40:26:19,60:8C:4A,D0:8B:7E,FC:B6:D8,18:81:0E,20:AB:37,28:FF:3C,74:9E:AF,D4:61:9D
